---
lang: en
title: 'API docs: repository.filtertemplate'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.filtertemplate.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [filterTemplate](./repository.filtertemplate.md)

## filterTemplate() function

<b>Signature:</b>

```typescript
export declare function filterTemplate(strings: TemplateStringsArray, ...keys: any[]): (ctx: AnyObject) => any;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  strings | <code>TemplateStringsArray</code> |  |
|  keys | <code>any[]</code> |  |

<b>Returns:</b>

`(ctx: AnyObject) => any`


